Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.common
Class BaseSystemEnvironment

    java.lang.Object
      com.fujitsu.iflow.common.BaseSystemEnvironment

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  SystemEnvironment

public class BaseSystemEnvironment
extends java.lang.Object
implements java.io.Serializable

System environment property sets.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `BUSINESSCAL`
`static java.lang.String` | `calendarDir`
`static java.lang.String` | `CLIENT_PARAM_PREFIX`
`protected static DebugLog` | `debugLog`
`static java.lang.String` | `defaultFTPPassword`
`static java.lang.String` | `defaultFTPUser` default values.
`static java.lang.String` | `defaultGroupWiIdentifier`
`static java.lang.String` | `defaultSwapLinkagePassword`
`static java.lang.String` | `defaultSwapLinkageUserName`
`static java.lang.String` | `defaultWIResponsible`
`protected static java.lang.String` | `DFLT_RequestSuccessNotify`
`static java.lang.String` | `DFLT_ServerMaxUnhandledEvents`
`protected static java.lang.String` | `DFLT_SMSAccessInterval`
`protected static java.lang.String` | `DFLT_TWFDirectoryService`
`static int` | `DIRECTORY_AD`
`static int` | `DIRECTORY_JNDI`
`static int` | `DIRECTORY_NT`
`static int` | `DIRECTORY_SSX`
`static java.lang.String` | `EXCEEDED_MAX_UDA_LENGTH`
`protected static java.lang.String` | `iniFileDir`
`static java.lang.String` | `iniFileName`
`protected static java.lang.String` | `iniFilePath`
`static boolean` | `initErrors`
`protected static java.lang.String` | `kAdminRole`
`protected static java.lang.String` | `kAllowAbortForAllUSers` Key holders.
`protected static java.lang.String` | `kAnalyticsCubeNames`
`protected static java.lang.String` | `kAnalyticsHistoryDays`
`protected static java.lang.String` | `kAnalyticsServerName`
`protected static java.lang.String` | `kAnalyticsServerPort`
`protected static java.lang.String` | `kBUILD`
`protected static java.lang.String` | `kDBUseDBProcedures`
`protected static java.lang.String` | `kDDFrameWorkImplClass`
`protected static java.lang.String` | `kDEBUGLEVEL`
`protected static java.lang.String` | `kDirectoryImplClass`
`protected static java.lang.String` | `kDirectoryService`
`protected static java.lang.String` | `kDMSFileSeparator`
`protected static java.lang.String` | `kDMSFileTransferProtocol`
`protected static java.lang.String` | `kDmsImplClass`
`protected static java.lang.String` | `kDMSRoot`
`static java.lang.String` | `kElementsInMemory`
`protected static java.lang.String` | `kEncryptionKey`
`protected static java.lang.String` | `kEncryptionScheme`
`protected static java.lang.String` | `kErrorMessageFile`
`protected static java.lang.String` | `kFileListenerConfigFile`
`protected static java.lang.String` | `kFileListenerLogFile`
`static java.lang.String` | `kForceUdaOptimization`
`protected static java.lang.String` | `kJMSFACTORY`
`protected static java.lang.String` | `kJMSNAMINGPROVIDER`
`protected static java.lang.String` | `kJMSNAMINGPROVIDERURL`
`protected static java.lang.String` | `kJMSNOTIFICATION`
`protected static java.lang.String` | `kKPIListenerConfigFile`
`protected static java.lang.String` | `kKPIListenerLogFile`
`protected static java.lang.String` | `kLDAPAccessUserID`
`protected static java.lang.String` | `kLDAPAccessUserPassword`
`protected static java.lang.String` | `kLDAPDBSuffix`
`protected static java.lang.String` | `kLDAPFilter`
`protected static java.lang.String` | `kLDAPGroupCacheAgeSec`
`protected static java.lang.String` | `kLDAPGroupsDN`
`protected static java.lang.String` | `kLDAPServer`
`protected static java.lang.String` | `kLDAPUseDefUsersGrps`
`protected static java.lang.String` | `kLDAPUsersDN`
`protected static java.lang.String` | `kLOCKFILERECORD`
`protected static java.lang.String` | `kLOGFILERECYCLESIZE`
`static java.lang.String` | `kMetaDataRepositoryPassword`
`static java.lang.String` | `kMetaDataRepositoryURL`
`static java.lang.String` | `kMetaDataRepositoryUserName`
`static java.lang.String` | `kMsSqlDbRowLockMechanism`
`static java.lang.String` | `kMsSqlEnableQueryTimeOut`
`static java.lang.String` | `kPreparedStatementCacheSize`
`protected static java.lang.String` | `kRequiredUserAttribute`
`protected static java.lang.String` | `kSecuritySwitch`
`protected static java.lang.String` | `kServerBaseURL`
`protected static java.lang.String` | `kServerEmailAddress`
`protected static java.lang.String` | `kServerEMailBaseURL`
`protected static java.lang.String` | `kServerEMailClientPage`
`protected static java.lang.String` | `kSERVEREVENTSHANDLEDPERBUCKET`
`protected static java.lang.String` | `kSERVERGNEMAILCUSTOMIZERCLASS`
`protected static java.lang.String` | `kSERVERHOST`
`protected static java.lang.String` | `kSERVERJSEXTCMDSCLASSES`
`protected static java.lang.String` | `kSERVERJSEXTCMDSFILE`
`protected static java.lang.String` | `kSERVERLOGFILE`
`static java.lang.String` | `kServerMaxUnhandledEvents`
`protected static java.lang.String` | `kServerName`
`protected static java.lang.String` | `kServerNotificationUserProfileField`
`protected static java.lang.String` | `kSERVERPASSWORD`
`protected static java.lang.String` | `kServerReassignMode`
`protected static java.lang.String` | `kServerRoot`
`protected static java.lang.String` | `kSERVERUSERNAME`
`protected static java.lang.String` | `kSMSAccessHost`
`protected static java.lang.String` | `kSMSAccessId`
`protected static java.lang.String` | `kSMSAccessInterval`
`protected static java.lang.String` | `kSMSAccessPassWord`
`protected static java.lang.String` | `kSMSConnectorAddress`
`protected static java.lang.String` | `kSmsMaxLength`
`protected static java.lang.String` | `kSmsMessageLength`
`protected static java.lang.String` | `kSMSMultiPart`
`protected static java.lang.String` | `kSMSPinAuthentication`
`protected static java.lang.String` | `kSMSRequestSuccessNotify`
`protected static java.lang.String` | `kSMSSMTPServerHost`
`protected static java.lang.String` | `kSMTPPassword`
`protected static java.lang.String` | `kSMTPServerHost`
`protected static java.lang.String` | `kSMTPServerPort`
`protected static java.lang.String` | `kSMTPUserName`
`static java.lang.String` | `kSupportGroupWorkItem`
`protected static java.lang.String` | `kSwapLinkagePassword`
`protected static java.lang.String` | `kSwapLinkageUserName`
`protected static java.lang.String` | `kTemplatePublishers`
`static java.lang.String` | `kUddiBusinessName`
`static java.lang.String` | `kUddiInquiryURL`
`static java.lang.String` | `kUddiPublisherPassword`
`static java.lang.String` | `kUddiPublisherUserName`
`static java.lang.String` | `kUddiPublishURL`
`protected static java.lang.String` | `kURMConfigFilePath`
`protected static java.lang.String` | `kURMDomain`
`static java.lang.String` | `kValidateFormPathLength`
`static java.lang.String` | `kValidateProcessNameLength`
`protected static java.lang.String` | `kVERSION`
`static java.lang.String` | `kWIResponsible`
`static java.lang.String` | `kWSHttpProxyHost`
`static java.lang.String` | `kWSHttpProxyPort`
`static int` | `REASSIGN_MODE_NONE`
`static int` | `REASSIGN_MODE_OWNER`
`static int` | `REASSIGN_MODE_REGULAR`
`static java.util.Hashtable` | `rulesetMap`
`static BpmProperties` | `sysSettings`
`static boolean` | `vAllowAbortForAllUSers` Value holders.
`static java.lang.String` | `vAnalyticsCubeNames`
`static long` | `vAnalyticsHistoryDays`
`static java.lang.String` | `vAnalyticsServerName`
`static java.lang.String` | `vAnalyticsServerPort`
`static java.lang.String` | `vBuild`
`static boolean` | `vDBAdapterDebug`
`static java.lang.String` | `vDBAdapterLogFile`
`static java.lang.String` | `vDBADriver`
`static java.lang.String` | `vDBADriverUrl`
`static java.lang.String` | `vDBALoginName`
`static java.lang.String` | `vDBALoginPassword`
`static int` | `vDBANumConnection`
`static boolean` | `vDBUseDBProcedures`
`static java.lang.String` | `vDDFrameWorkImplClass`
`static int` | `vDebugLevel`
`static java.lang.String` | `vDirectoryImplClass`
`static int` | `vDirectoryService`
`static java.lang.String` | `vDMSFileSeparator`
`static java.lang.String` | `vDMSFileTransferProtocol`
`static java.lang.String` | `vDmsImplClass`
`static java.lang.String` | `vDMSRoot`
`static int` | `vElementsInMemory`
`static java.lang.String` | `vEncryptionKey`
`static java.lang.String` | `vEncryptionScheme`
`static java.lang.String` | `vErrorMessageFile`
`static java.lang.String` | `vFileListenerConfigFile`
`static java.lang.String` | `vFileListenerLogFile`
`static boolean` | `vForceUdaOptimization`
`static java.lang.String` | `vJmsFactory`
`static boolean` | `vJmsNotification`
`static java.util.Properties` | `vJmsProperties`
`static java.lang.String` | `vKPIListenerConfigFile`
`static java.lang.String` | `vKPIListenerLogFile`
`static java.lang.String` | `vLDAPAccessUserID`
`static java.lang.String` | `vLDAPAccessUserPassword`
`static java.lang.String` | `vLDAPDBSuffix`
`static java.lang.String` | `vLDAPFilter`
`static int` | `vLDAPGroupCacheAgeSec`
`static java.lang.String` | `vLDAPGroupsDN`
`static java.lang.String` | `vLDAPPeople_Node`
`static java.lang.String` | `vLDAPProviderUrl`
`static java.lang.String` | `vLDAPServer`
`static java.lang.String` | `vLDAPUseDefUsersGrps`
`static java.lang.String` | `vLDAPUsersDN`
`static java.lang.String` | `vLockFileRecord`
`static int` | `vLogFileRecycleSize`
`static java.lang.String` | `vMetaDataRepositoryPassword`
`static java.lang.String` | `vMetaDataRepositoryURL`
`static java.lang.String` | `vMetaDataRepositoryUserName`
`static java.lang.String` | `vMsSqlDbRowLockMechanism`
`static boolean` | `vMsSqlEnableQueryTimeOut`
`static int` | `vPreparedStatementCacheSize`
`static int` | `vReassignMode`
`static java.lang.String` | `vRequiredUserAttribute`
`static boolean` | `vSecuritySwitch`
`static java.lang.String` | `vServerEmailAddress`
`static java.lang.String` | `vServerEMailBaseURL`
`static java.lang.String` | `vServerHost`
`static int` | `vServerMaxUnhandledEvents`
`static java.lang.String` | `vServerName`
`static java.lang.String` | `vServerRoot`
`static java.lang.String` | `vServerType`
`static java.lang.String` | `vSMSAccessHost`
`static java.lang.String` | `vSMSAccessId`
`static int` | `vSMSAccessInterval`
`static java.lang.String` | `vSMSAccessPassWord`
`static java.lang.String` | `vSMSConnectorAddress`
`static int` | `vSmsMaxLength`
`static int` | `vSmsMessageLength`
`static int` | `vSMSMultiPart`
`static boolean` | `vSmsPinAuthentication`
`static boolean` | `vSMSRequestSuccessNotify`
`static java.lang.String` | `vSMSSMTPServerHost`
`static java.lang.String` | `vSMTPPassword`
`static java.lang.String` | `vSMTPServerHost`
`static java.lang.String` | `vSMTPServerPort`
`static java.lang.String` | `vSMTPUserName`
`static boolean` | `vSupportGroupWorkItem`
`static java.lang.String` | `vSwapLinkagePassword`
`static java.lang.String` | `vSwapLinkageUserName`
`static java.lang.String` | `vTWFServerName`
`static java.lang.String` | `vUDAValueValidationCheck`
`static java.lang.String` | `vUddiBusinessName`
`static java.lang.String` | `vUddiInquiryURL`
`static java.lang.String` | `vUddiPublisherPassword`
`static java.lang.String` | `vUddiPublisherUserName`
`static java.lang.String` | `vUddiPublishURL`
`static java.lang.String` | `vURMConfigFilePath`
`static java.lang.String` | `vURMDomain`
`static boolean` | `vValidateFormPathLength`
`static boolean` | `vValidateProcessNameLength`
`static java.lang.String` | `vVersion`
`static java.lang.String` | `vWIResponsible`
`static java.lang.String` | `vWSHttpProxyHost`
`static java.lang.String` | `vWSHttpProxyPort`
`static java.lang.String` | `WI_RESPONSIBLE_ALL`
`static java.lang.String` | `WI_RESPONSIBLE_GROUP`
`static java.lang.String` | `WI_RESPONSIBLE_USER`
`static java.lang.String` | `WI_UDA_FLD_DLT`
`static int` | `WI_UDA_MAX_REC_LENGTH`
`static java.lang.String` | `WI_UDA_REC_DLT`

Constructor Summary
`BaseSystemEnvironment()`

Method Summary
`protected static boolean` | `checkOldIniFile(java.lang.String dir, java.lang.String fileName)`
`protected static java.lang.String` | `decrptText(TextEncrypter tEncryp, java.lang.String eString, java.lang.String key)`
`protected static boolean` | `doParseBool(java.lang.String iniValue, java.lang.String defaultValue)`
`protected static int` | `doParseInt(java.lang.String iniValue, java.lang.String defaultValue)`
`protected static long` | `doParseLong(java.lang.String longValue, java.lang.String defaultValue)`
`protected static java.lang.String` | `doParseString(java.lang.String iniValue)`
`protected static java.lang.String` | `doParseString(java.lang.String iniValue, java.lang.String defaultValue)`
`protected static boolean` | `findProperty(java.lang.String key)`
`static java.lang.String` | `getClientProperty(java.lang.String param)` Allowing the users to access the server paramater that starts with "Client." This is done for SSA - client.
`protected static java.lang.String` | `getIniFilePath(java.lang.String dir, java.lang.String fileName, java.lang.String oldFileName)`
`protected static java.lang.String` | `getProperty(java.lang.String key)`
`protected static java.lang.String` | `getProperty(java.lang.String key, java.lang.String defaultValue)`
`protected static void` | `loadProperties(BpmProperties props)`
`static java.lang.String` | `setIniFilePath()`
`static void` | `setIniFilePath(java.lang.String path)`
`protected static void` | `updateIniWithEncryption(TextEncrypter tEncryp)`
`static java.util.ArrayList` | `verifyIniFile(java.util.ArrayList ObsoleteParmList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WI_UDA_REC_DLT

    public static final java.lang.String WI_UDA_REC_DLT

See Also:
  Constant Field Values

### WI_UDA_FLD_DLT

    public static final java.lang.String WI_UDA_FLD_DLT

See Also:
  Constant Field Values

### WI_UDA_MAX_REC_LENGTH

    public static final int WI_UDA_MAX_REC_LENGTH

See Also:
  Constant Field Values

### EXCEEDED_MAX_UDA_LENGTH

    public static final java.lang.String EXCEEDED_MAX_UDA_LENGTH

See Also:
  Constant Field Values

### iniFileName

    public static final java.lang.String iniFileName

See Also:
  Constant Field Values

### iniFilePath

    protected static java.lang.String iniFilePath

### iniFileDir

    protected static java.lang.String iniFileDir

### sysSettings

    public static BpmProperties sysSettings

### rulesetMap

    public static java.util.Hashtable rulesetMap

### calendarDir

    public static java.lang.String calendarDir

### initErrors

    public static boolean initErrors

### debugLog

    protected static DebugLog debugLog

### defaultFTPUser

    public static final java.lang.String defaultFTPUser

  default values.

  See Also:
    Constant Field Values

### defaultFTPPassword

    public static final java.lang.String defaultFTPPassword

See Also:
  Constant Field Values

### defaultSwapLinkageUserName

    public static final java.lang.String defaultSwapLinkageUserName

See Also:
  Constant Field Values

### defaultSwapLinkagePassword

    public static final java.lang.String defaultSwapLinkagePassword

See Also:
  Constant Field Values

### WI_RESPONSIBLE_ALL

    public static final java.lang.String WI_RESPONSIBLE_ALL

See Also:
  Constant Field Values

### WI_RESPONSIBLE_USER

    public static final java.lang.String WI_RESPONSIBLE_USER

See Also:
  Constant Field Values

### WI_RESPONSIBLE_GROUP

    public static final java.lang.String WI_RESPONSIBLE_GROUP

See Also:
  Constant Field Values

### defaultWIResponsible

    public static final java.lang.String defaultWIResponsible

See Also:
  Constant Field Values

### defaultGroupWiIdentifier

    public static final java.lang.String defaultGroupWiIdentifier

See Also:
  Constant Field Values

### DFLT_ServerMaxUnhandledEvents

    public static java.lang.String DFLT_ServerMaxUnhandledEvents

### BUSINESSCAL

    public static final java.lang.String BUSINESSCAL

See Also:
  Constant Field Values

### DIRECTORY_JNDI

    public static final int DIRECTORY_JNDI

See Also:
  Constant Field Values

### DIRECTORY_NT

    public static final int DIRECTORY_NT

See Also:
  Constant Field Values

### DIRECTORY_AD

    public static final int DIRECTORY_AD

See Also:
  Constant Field Values

### DIRECTORY_SSX

    public static final int DIRECTORY_SSX

See Also:
  Constant Field Values

### REASSIGN_MODE_REGULAR

    public static final int REASSIGN_MODE_REGULAR

See Also:
  Constant Field Values

### REASSIGN_MODE_OWNER

    public static final int REASSIGN_MODE_OWNER

See Also:
  Constant Field Values

### REASSIGN_MODE_NONE

    public static final int REASSIGN_MODE_NONE

See Also:
  Constant Field Values

### DFLT_RequestSuccessNotify

    protected static java.lang.String DFLT_RequestSuccessNotify

### DFLT_SMSAccessInterval

    protected static java.lang.String DFLT_SMSAccessInterval

### DFLT_TWFDirectoryService

    protected static final java.lang.String DFLT_TWFDirectoryService

### kAllowAbortForAllUSers

    protected static final java.lang.String kAllowAbortForAllUSers

  Key holders.

  See Also:
    Constant Field Values

### kBUILD

    protected static final java.lang.String kBUILD

See Also:
  Constant Field Values

### kDBUseDBProcedures

    protected static final java.lang.String kDBUseDBProcedures

See Also:
  Constant Field Values

### kSecuritySwitch

    protected static final java.lang.String kSecuritySwitch

See Also:
  Constant Field Values

### kVERSION

    protected static final java.lang.String kVERSION

See Also:
  Constant Field Values

### kServerBaseURL

    protected static final java.lang.String kServerBaseURL

See Also:
  Constant Field Values

### kServerEMailBaseURL

    protected static final java.lang.String kServerEMailBaseURL

See Also:
  Constant Field Values

### kServerEMailClientPage

    protected static final java.lang.String kServerEMailClientPage

See Also:
  Constant Field Values

### kServerEmailAddress

    protected static final java.lang.String kServerEmailAddress

See Also:
  Constant Field Values

### kSERVEREVENTSHANDLEDPERBUCKET

    protected static final java.lang.String kSERVEREVENTSHANDLEDPERBUCKET

See Also:
  Constant Field Values

### kSERVERGNEMAILCUSTOMIZERCLASS

    protected static final java.lang.String kSERVERGNEMAILCUSTOMIZERCLASS

See Also:
  Constant Field Values

### kSERVERJSEXTCMDSCLASSES

    protected static final java.lang.String kSERVERJSEXTCMDSCLASSES

See Also:
  Constant Field Values

### kSERVERJSEXTCMDSFILE

    protected static final java.lang.String kSERVERJSEXTCMDSFILE

See Also:
  Constant Field Values

### kSERVERHOST

    protected static final java.lang.String kSERVERHOST

See Also:
  Constant Field Values

### kServerName

    protected static final java.lang.String kServerName

See Also:
  Constant Field Values

### kSERVERLOGFILE

    protected static final java.lang.String kSERVERLOGFILE

See Also:
  Constant Field Values

### kServerNotificationUserProfileField

    protected static final java.lang.String kServerNotificationUserProfileField

See Also:
  Constant Field Values

### kSERVERPASSWORD

    protected static final java.lang.String kSERVERPASSWORD

See Also:
  Constant Field Values

### kServerReassignMode

    protected static final java.lang.String kServerReassignMode

See Also:
  Constant Field Values

### kServerRoot

    protected static final java.lang.String kServerRoot

See Also:
  Constant Field Values

### kSERVERUSERNAME

    protected static final java.lang.String kSERVERUSERNAME

See Also:
  Constant Field Values

### kTemplatePublishers

    protected static final java.lang.String kTemplatePublishers

See Also:
  Constant Field Values

### kServerMaxUnhandledEvents

    public static final java.lang.String kServerMaxUnhandledEvents

See Also:
  Constant Field Values

### kDEBUGLEVEL

    protected static final java.lang.String kDEBUGLEVEL

See Also:
  Constant Field Values

### kErrorMessageFile

    protected static final java.lang.String kErrorMessageFile

See Also:
  Constant Field Values

### kLOGFILERECYCLESIZE

    protected static final java.lang.String kLOGFILERECYCLESIZE

See Also:
  Constant Field Values

### kAnalyticsCubeNames

    protected static final java.lang.String kAnalyticsCubeNames

See Also:
  Constant Field Values

### kAnalyticsServerName

    protected static final java.lang.String kAnalyticsServerName

See Also:
  Constant Field Values

### kAnalyticsServerPort

    protected static final java.lang.String kAnalyticsServerPort

See Also:
  Constant Field Values

### kAnalyticsHistoryDays

    protected static final java.lang.String kAnalyticsHistoryDays

See Also:
  Constant Field Values

### kDDFrameWorkImplClass

    protected static java.lang.String kDDFrameWorkImplClass

### kSMTPPassword

    protected static final java.lang.String kSMTPPassword

See Also:
  Constant Field Values

### kSMTPServerHost

    protected static final java.lang.String kSMTPServerHost

See Also:
  Constant Field Values

### kSMTPServerPort

    protected static final java.lang.String kSMTPServerPort

See Also:
  Constant Field Values

### kSMTPUserName

    protected static final java.lang.String kSMTPUserName

See Also:
  Constant Field Values

### kSwapLinkageUserName

    protected static final java.lang.String kSwapLinkageUserName

See Also:
  Constant Field Values

### kSwapLinkagePassword

    protected static final java.lang.String kSwapLinkagePassword

See Also:
  Constant Field Values

### kDmsImplClass

    protected static final java.lang.String kDmsImplClass

See Also:
  Constant Field Values

### kDMSFileSeparator

    protected static final java.lang.String kDMSFileSeparator

See Also:
  Constant Field Values

### kDMSFileTransferProtocol

    protected static final java.lang.String kDMSFileTransferProtocol

See Also:
  Constant Field Values

### kDMSRoot

    protected static final java.lang.String kDMSRoot

See Also:
  Constant Field Values

### kLOCKFILERECORD

    protected static final java.lang.String kLOCKFILERECORD

See Also:
  Constant Field Values

### kEncryptionKey

    protected static final java.lang.String kEncryptionKey

See Also:
  Constant Field Values

### kEncryptionScheme

    protected static final java.lang.String kEncryptionScheme

See Also:
  Constant Field Values

### kFileListenerLogFile

    protected static java.lang.String kFileListenerLogFile

### kFileListenerConfigFile

    protected static java.lang.String kFileListenerConfigFile

### kJMSFACTORY

    protected static final java.lang.String kJMSFACTORY

See Also:
  Constant Field Values

### kJMSNOTIFICATION

    protected static final java.lang.String kJMSNOTIFICATION

See Also:
  Constant Field Values

### kJMSNAMINGPROVIDER

    protected static final java.lang.String kJMSNAMINGPROVIDER

See Also:
  Constant Field Values

### kJMSNAMINGPROVIDERURL

    protected static final java.lang.String kJMSNAMINGPROVIDERURL

See Also:
  Constant Field Values

### kKPIListenerLogFile

    protected static java.lang.String kKPIListenerLogFile

### kKPIListenerConfigFile

    protected static java.lang.String kKPIListenerConfigFile

### kAdminRole

    protected static final java.lang.String kAdminRole

See Also:
  Constant Field Values

### kDirectoryImplClass

    protected static final java.lang.String kDirectoryImplClass

See Also:
  Constant Field Values

### kLDAPAccessUserID

    protected static final java.lang.String kLDAPAccessUserID

See Also:
  Constant Field Values

### kLDAPAccessUserPassword

    protected static final java.lang.String kLDAPAccessUserPassword

See Also:
  Constant Field Values

### kLDAPDBSuffix

    protected static final java.lang.String kLDAPDBSuffix

See Also:
  Constant Field Values

### kLDAPFilter

    protected static final java.lang.String kLDAPFilter

See Also:
  Constant Field Values

### kLDAPGroupCacheAgeSec

    protected static final java.lang.String kLDAPGroupCacheAgeSec

See Also:
  Constant Field Values

### kLDAPGroupsDN

    protected static final java.lang.String kLDAPGroupsDN

See Also:
  Constant Field Values

### kLDAPServer

    protected static final java.lang.String kLDAPServer

See Also:
  Constant Field Values

### kLDAPUseDefUsersGrps

    protected static final java.lang.String kLDAPUseDefUsersGrps

See Also:
  Constant Field Values

### kLDAPUsersDN

    protected static final java.lang.String kLDAPUsersDN

See Also:
  Constant Field Values

### kRequiredUserAttribute

    protected static final java.lang.String kRequiredUserAttribute

See Also:
  Constant Field Values

### kDirectoryService

    protected static final java.lang.String kDirectoryService

See Also:
  Constant Field Values

### kSMSAccessHost

    protected static final java.lang.String kSMSAccessHost

See Also:
  Constant Field Values

### kSMSAccessId

    protected static final java.lang.String kSMSAccessId

See Also:
  Constant Field Values

### kSMSAccessInterval

    protected static final java.lang.String kSMSAccessInterval

See Also:
  Constant Field Values

### kSMSAccessPassWord

    protected static final java.lang.String kSMSAccessPassWord

See Also:
  Constant Field Values

### kSMSConnectorAddress

    protected static final java.lang.String kSMSConnectorAddress

See Also:
  Constant Field Values

### kSmsMaxLength

    protected static final java.lang.String kSmsMaxLength

See Also:
  Constant Field Values

### kSmsMessageLength

    protected static final java.lang.String kSmsMessageLength

See Also:
  Constant Field Values

### kSMSMultiPart

    protected static final java.lang.String kSMSMultiPart

See Also:
  Constant Field Values

### kSMSPinAuthentication

    protected static final java.lang.String kSMSPinAuthentication

See Also:
  Constant Field Values

### kSMSRequestSuccessNotify

    protected static final java.lang.String kSMSRequestSuccessNotify

See Also:
  Constant Field Values

### kSMSSMTPServerHost

    protected static final java.lang.String kSMSSMTPServerHost

See Also:
  Constant Field Values

### kUddiBusinessName

    public static final java.lang.String kUddiBusinessName

See Also:
  Constant Field Values

### kUddiInquiryURL

    public static final java.lang.String kUddiInquiryURL

See Also:
  Constant Field Values

### kUddiPublishURL

    public static final java.lang.String kUddiPublishURL

See Also:
  Constant Field Values

### kMetaDataRepositoryURL

    public static final java.lang.String kMetaDataRepositoryURL

See Also:
  Constant Field Values

### kUddiPublisherUserName

    public static final java.lang.String kUddiPublisherUserName

See Also:
  Constant Field Values

### kUddiPublisherPassword

    public static final java.lang.String kUddiPublisherPassword

See Also:
  Constant Field Values

### kMetaDataRepositoryUserName

    public static final java.lang.String kMetaDataRepositoryUserName

See Also:
  Constant Field Values

### kMetaDataRepositoryPassword

    public static final java.lang.String kMetaDataRepositoryPassword

See Also:
  Constant Field Values

### kURMConfigFilePath

    protected static java.lang.String kURMConfigFilePath

### kURMDomain

    protected static java.lang.String kURMDomain

### kWSHttpProxyHost

    public static java.lang.String kWSHttpProxyHost

### kWSHttpProxyPort

    public static java.lang.String kWSHttpProxyPort

### CLIENT_PARAM_PREFIX

    public static final java.lang.String CLIENT_PARAM_PREFIX

See Also:
  Constant Field Values

### kWIResponsible

    public static final java.lang.String kWIResponsible

See Also:
  Constant Field Values

### kSupportGroupWorkItem

    public static final java.lang.String kSupportGroupWorkItem

See Also:
  Constant Field Values

### kForceUdaOptimization

    public static final java.lang.String kForceUdaOptimization

See Also:
  Constant Field Values

### kMsSqlDbRowLockMechanism

    public static final java.lang.String kMsSqlDbRowLockMechanism

See Also:
  Constant Field Values

### kMsSqlEnableQueryTimeOut

    public static final java.lang.String kMsSqlEnableQueryTimeOut

See Also:
  Constant Field Values

### kValidateProcessNameLength

    public static final java.lang.String kValidateProcessNameLength

See Also:
  Constant Field Values

### kValidateFormPathLength

    public static final java.lang.String kValidateFormPathLength

See Also:
  Constant Field Values

### kElementsInMemory

    public static java.lang.String kElementsInMemory

### kPreparedStatementCacheSize

    public static java.lang.String kPreparedStatementCacheSize

### vAllowAbortForAllUSers

    public static boolean vAllowAbortForAllUSers

  Value holders.

### vBuild

    public static java.lang.String vBuild

### vDBUseDBProcedures

    public static boolean vDBUseDBProcedures

### vReassignMode

    public static int vReassignMode

### vSecuritySwitch

    public static boolean vSecuritySwitch

### vServerEMailBaseURL

    public static java.lang.String vServerEMailBaseURL

### vServerEmailAddress

    public static java.lang.String vServerEmailAddress

### vServerHost

    public static java.lang.String vServerHost

### vServerName

    public static java.lang.String vServerName

### vServerRoot

    public static java.lang.String vServerRoot

### vServerType

    public static java.lang.String vServerType

### vTWFServerName

    public static java.lang.String vTWFServerName

### vVersion

    public static java.lang.String vVersion

### vServerMaxUnhandledEvents

    public static int vServerMaxUnhandledEvents

### vValidateProcessNameLength

    public static boolean vValidateProcessNameLength

### vValidateFormPathLength

    public static boolean vValidateFormPathLength

### vDebugLevel

    public static int vDebugLevel

### vErrorMessageFile

    public static java.lang.String vErrorMessageFile

### vLogFileRecycleSize

    public static int vLogFileRecycleSize

### vDBAdapterDebug

    public static boolean vDBAdapterDebug

### vDBANumConnection

    public static int vDBANumConnection

### vDBAdapterLogFile

    public static java.lang.String vDBAdapterLogFile

### vDBADriver

    public static java.lang.String vDBADriver

### vDBADriverUrl

    public static java.lang.String vDBADriverUrl

### vDBALoginName

    public static java.lang.String vDBALoginName

### vDBALoginPassword

    public static java.lang.String vDBALoginPassword

### vDDFrameWorkImplClass

    public static java.lang.String vDDFrameWorkImplClass

### vJmsProperties

    public static java.util.Properties vJmsProperties

### vJmsNotification

    public static boolean vJmsNotification

### vJmsFactory

    public static java.lang.String vJmsFactory

### vSMSAccessInterval

    public static int vSMSAccessInterval

### vSmsMaxLength

    public static int vSmsMaxLength

### vSmsMessageLength

    public static int vSmsMessageLength

### vSMSMultiPart

    public static int vSMSMultiPart

### vSmsPinAuthentication

    public static boolean vSmsPinAuthentication

### vSMSRequestSuccessNotify

    public static boolean vSMSRequestSuccessNotify

### vSMSAccessHost

    public static java.lang.String vSMSAccessHost

### vSMSAccessId

    public static java.lang.String vSMSAccessId

### vSMSAccessPassWord

    public static java.lang.String vSMSAccessPassWord

### vSMSConnectorAddress

    public static java.lang.String vSMSConnectorAddress

### vSMSSMTPServerHost

    public static java.lang.String vSMSSMTPServerHost

### vSwapLinkageUserName

    public static java.lang.String vSwapLinkageUserName

### vSwapLinkagePassword

    public static java.lang.String vSwapLinkagePassword

### vAnalyticsHistoryDays

    public static long vAnalyticsHistoryDays

### vAnalyticsServerName

    public static java.lang.String vAnalyticsServerName

### vAnalyticsServerPort

    public static java.lang.String vAnalyticsServerPort

### vAnalyticsCubeNames

    public static java.lang.String vAnalyticsCubeNames

### vDmsImplClass

    public static java.lang.String vDmsImplClass

### vDMSFileTransferProtocol

    public static java.lang.String vDMSFileTransferProtocol

### vDMSRoot

    public static java.lang.String vDMSRoot

### vDMSFileSeparator

    public static java.lang.String vDMSFileSeparator

### vLockFileRecord

    public static java.lang.String vLockFileRecord

### vFileListenerLogFile

    public static java.lang.String vFileListenerLogFile

### vFileListenerConfigFile

    public static java.lang.String vFileListenerConfigFile

### vKPIListenerConfigFile

    public static java.lang.String vKPIListenerConfigFile

### vKPIListenerLogFile

    public static java.lang.String vKPIListenerLogFile

### vDirectoryImplClass

    public static java.lang.String vDirectoryImplClass

### vLDAPAccessUserID

    public static java.lang.String vLDAPAccessUserID

### vLDAPAccessUserPassword

    public static java.lang.String vLDAPAccessUserPassword

### vLDAPFilter

    public static java.lang.String vLDAPFilter

### vLDAPGroupCacheAgeSec

    public static int vLDAPGroupCacheAgeSec

### vLDAPGroupsDN

    public static java.lang.String vLDAPGroupsDN

### vLDAPUseDefUsersGrps

    public static java.lang.String vLDAPUseDefUsersGrps

### vLDAPUsersDN

    public static java.lang.String vLDAPUsersDN

### vRequiredUserAttribute

    public static java.lang.String vRequiredUserAttribute

### vLDAPProviderUrl

    public static java.lang.String vLDAPProviderUrl

### vLDAPPeople_Node

    public static java.lang.String vLDAPPeople_Node

### vDirectoryService

    public static int vDirectoryService

### vLDAPServer

    public static java.lang.String vLDAPServer

### vLDAPDBSuffix

    public static java.lang.String vLDAPDBSuffix

### vSMTPPassword

    public static java.lang.String vSMTPPassword

### vSMTPServerHost

    public static java.lang.String vSMTPServerHost

### vSMTPServerPort

    public static java.lang.String vSMTPServerPort

### vSMTPUserName

    public static java.lang.String vSMTPUserName

### vEncryptionKey

    public static java.lang.String vEncryptionKey

### vEncryptionScheme

    public static java.lang.String vEncryptionScheme

### vUddiBusinessName

    public static java.lang.String vUddiBusinessName

### vUddiInquiryURL

    public static java.lang.String vUddiInquiryURL

### vUddiPublishURL

    public static java.lang.String vUddiPublishURL

### vMetaDataRepositoryURL

    public static java.lang.String vMetaDataRepositoryURL

### vUddiPublisherUserName

    public static java.lang.String vUddiPublisherUserName

### vUddiPublisherPassword

    public static java.lang.String vUddiPublisherPassword

### vMetaDataRepositoryUserName

    public static java.lang.String vMetaDataRepositoryUserName

### vMetaDataRepositoryPassword

    public static java.lang.String vMetaDataRepositoryPassword

### vURMConfigFilePath

    public static java.lang.String vURMConfigFilePath

### vURMDomain

    public static java.lang.String vURMDomain

### vWIResponsible

    public static java.lang.String vWIResponsible

### vSupportGroupWorkItem

    public static boolean vSupportGroupWorkItem

### vForceUdaOptimization

    public static boolean vForceUdaOptimization

### vMsSqlDbRowLockMechanism

    public static java.lang.String vMsSqlDbRowLockMechanism

### vMsSqlEnableQueryTimeOut

    public static boolean vMsSqlEnableQueryTimeOut

### vWSHttpProxyHost

    public static java.lang.String vWSHttpProxyHost

### vWSHttpProxyPort

    public static java.lang.String vWSHttpProxyPort

### vElementsInMemory

    public static int vElementsInMemory

### vPreparedStatementCacheSize

    public static int vPreparedStatementCacheSize

### vUDAValueValidationCheck

    public static java.lang.String vUDAValueValidationCheck

Constructor Detail

### BaseSystemEnvironment

    public BaseSystemEnvironment()

Method Detail

### loadProperties

    protected static void loadProperties(BpmProperties props)

### findProperty

    protected static boolean findProperty(java.lang.String key)

### getProperty

    protected static java.lang.String getProperty(java.lang.String key)

### getProperty

    protected static java.lang.String getProperty(java.lang.String key,
                                                  java.lang.String defaultValue)

### doParseString

    protected static java.lang.String doParseString(java.lang.String iniValue,
                                                    java.lang.String defaultValue)

### doParseString

    protected static java.lang.String doParseString(java.lang.String iniValue)

### doParseBool

    protected static boolean doParseBool(java.lang.String iniValue,
                                         java.lang.String defaultValue)

### doParseInt

    protected static int doParseInt(java.lang.String iniValue,
                                    java.lang.String defaultValue)

### doParseLong

    protected static long doParseLong(java.lang.String longValue,
                                      java.lang.String defaultValue)

### decrptText

    protected static java.lang.String decrptText(TextEncrypter tEncryp,
                                                 java.lang.String eString,
                                                 java.lang.String key)

### updateIniWithEncryption

    protected static void updateIniWithEncryption(TextEncrypter tEncryp)

### setIniFilePath

    public static void setIniFilePath(java.lang.String path)

### setIniFilePath

    public static java.lang.String setIniFilePath()

### getClientProperty

    public static java.lang.String getClientProperty(java.lang.String param)

  Allowing the users to access the server paramater that starts with "Client." This is done for SSA - client. Return null if property does not exist, or if the property is not a "Client." property.

### getIniFilePath

    protected static java.lang.String getIniFilePath(java.lang.String dir,
                                                     java.lang.String fileName,
                                                     java.lang.String oldFileName)

### checkOldIniFile

    protected static boolean checkOldIniFile(java.lang.String dir,
                                             java.lang.String fileName)

### verifyIniFile

    public static java.util.ArrayList verifyIniFile(java.util.ArrayList ObsoleteParmList)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD